<?	session_start();
	if(!isset($_SESSION['id_admin'])){
		header("../acceso.php"); /* Si no hay sesion vamos al login.php */
	} else {

	include_once('../includes/Conexion.inc.php');

	$Id = $_GET["Id"];
	if (!isset($Id))
		header("location:index.php");  

	for ($i=0;$i<10;$i++){	
		$nombre_foto= $_FILES["$i"]['name']; 
		if ($nombre_foto <>"")
			{ 								
				$ruta ="../noticias/grandes/$Id$nombre_foto";
				move_uploaded_file($_FILES["$i"]['tmp_name'], $ruta) ;
			
			Conectar();

			$sql = "Insert into Imagenes_noticias ";
			$sql = $sql. "(Archivo,Id_seccion,Descripcion) ";
			$sql = $sql. "values ('$Id$nombre_foto','$Id','$nombre_foto')";		
			mysql_query($sql);
			
			$sql = "update noticias set Imagen = '$Id$nombre_foto' where Id=$Id";	
			mysql_query($sql);

			
			$hmax=125;
			$url_sinespacios=$nombre_foto;
			str_replace(' ','%20',$url_sinespacios);	
			$nombre="../noticias/grandes/$Id$url_sinespacios";
			$destino="../noticias/miniaturas/$Id$nombre_foto";;
			$datos = getimagesize($nombre);
			if($datos[2]==1){$img = @imagecreatefromgif($nombre);}
			if($datos[2]==2){$img = @imagecreatefromjpeg($nombre);}
			if($datos[2]==3){$img = @imagecreatefrompng($nombre);}
			$anchura=imagesx($img);
			$ratio = ($datos[0] / $anchura);
			$altura = ($datos[1] / $ratio);
			if($altura>$hmax){$anchura2=$hmax*$anchura/$altura;$altura=$hmax;$anchura=$anchura2;}
			$thumb = imagecreatetruecolor($anchura,$altura);
			imagecopyresampled($thumb, $img, 0, 0, 0, 0, $anchura, $altura, $datos[0], $datos[1]);
			if($datos[2]==1){imagegif($thumb,$destino);}
			if($datos[2]==2){imagejpeg($thumb,$destino);}
			if($datos[2]==3){imagepng($thumb,$destino); }
			imagedestroy($thumb);
		
			Desconectar();
			}
		}

	header("location:../noticia.php?Id=$Id");
	exit;
	}
?>